Bug 1123010 - Review Request: python-texttable - Python module to generate a formatted text table, using ASCII characters.
Summary: Review Request: python-texttable - Python module to generate a formatted text...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 15:24 UTC by Adam Miller
Modified: 2014-11-27 13:44 UTC (History)
3 users (show)

Fixed In Version: python-texttable-0.8.1-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-27 08:38:17 UTC
jujens: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Adam Miller 2014-07-24 15:24:23 UTC
Spec URL: http://maxamillion.fedorapeople.org/python-texttable.spec
SRPM URL: http://maxamillion.fedorapeople.org/python-texttable-0.8.1-1.fc20.src.rpm
Description: 
Python module to generate a formatted text table, using ASCII characters.

Fedora Account System Username: maxamillion

Comment 1 Julien Enselme 2014-08-03 12:13:04 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[X]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "LGPL (v2.1 or later)". Detailed output
     of licensecheck in /run/media/jenselme/Data/1123010-python-
     texttable/licensecheck.txt
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[!]: Useful -debuginfo package or justification otherwise.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-texttable-0.8.1-1.fc20.x86_64.rpm
          python-texttable-0.8.1-1.fc20.src.rpm
python-texttable.x86_64: W: summary-ended-with-dot C Python module to generate a formatted text table, using ASCII characters.
python-texttable.x86_64: E: no-binary
python-texttable.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/texttable.py 0644L /usr/bin/env
python-texttable.src: W: summary-ended-with-dot C Python module to generate a formatted text table, using ASCII characters.
python-texttable.src:38: W: mixed-use-of-spaces-and-tabs (spaces: line 38, tab: line 13)
2 packages and 0 specfiles checked; 2 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-texttable
python-texttable.x86_64: W: summary-ended-with-dot C Python module to generate a formatted text table, using ASCII characters.
python-texttable.x86_64: E: no-binary
python-texttable.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/texttable.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 2 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-texttable (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-texttable:
    python-texttable
    python-texttable(x86-64)



Source checksums
----------------
https://pypi.python.org/packages/source/t/texttable/texttable-0.8.1.tar.gz :
  CHECKSUM(SHA256) this package     : 3d143a71c37c38e25c7b5cef3a861d3c2a0fcbfbeefc150483c9ccd999c3ee5e
  CHECKSUM(SHA256) upstream package : 3d143a71c37c38e25c7b5cef3a861d3c2a0fcbfbeefc150483c9ccd999c3ee5e


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1123010
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Please use:
- the %{__python2} macro for python2.
- the %{python2_sitelib} macro instead of %{python_sitelib}
- BuildArch:      noarch

Please query upstream to include lincense file.

Pleas fix rpmlint errors.

Comment 2 Julien Enselme 2014-08-03 12:32:44 UTC
Please be more specific when adding the files:
%{python_sitelib}/*  -> %{python2_sitelib}/spec

Comment 3 Adam Miller 2014-08-09 02:27:48 UTC
Spec URL: http://maxamillion.fedorapeople.org/python-texttable.spec
SRPM URL: https://maxamillion.fedorapeople.org/python-texttable-0.8.1-2.fc20.src.rpm

I've updated with the comments listed, I left the %{python2_sitelib}/* because I had originally pulled that from the packaging guideline document. https://fedoraproject.org/wiki/Packaging:Python

I have emailed upstream requesting inclusion of the license file.

Comment 4 Julien Enselme 2014-08-09 08:55:43 UTC
According to https://fedoraproject.org/wiki/Packaging:Python#Files_to_include you can use:
%files
%{python2_sitelib}/foo/ (I forget the last / sorry)

or

%files
%dir %{python2_sitelib}/foo (to add the directory)
%{python2_sitelib}/foo/*

Please add %dir %{python2_sitelib}/foo.

I still got 1 rpmlint error and 1 waring:
- python-texttable.noarch: W: summary-ended-with-dot C Python module to generate a formatted text table, using ASCII characters. (Simply remvoe the dot at the end of the summary: http://fedoraproject.org/wiki/Common_Rpmlint_issues#summary-ended-with-dot)
- python-texttable.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/texttable.py 0644L /usr/bin/env (the file is not executable but has an shebang "#!/usr/bin/env python" you must remove, by instance by running:
# Remove shebang
for lib in $RPM_BUILD_ROOT%{python2_sitelib}/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

in the %install section.

Comment 5 Julien Enselme 2014-08-09 09:03:08 UTC
> %files
> %dir %{python2_sitelib}/foo (to add the directory)
> %{python2_sitelib}/foo/*

In that case 
%files
%{python2_sitelib}/texttable*

seems more appropriate.

Comment 6 Adam Miller 2014-08-11 15:36:17 UTC
Spec URL: http://maxamillion.fedorapeople.org/python-texttable.spec
SRPM URL: https://maxamillion.fedorapeople.org/python-texttable-0.8.1-3.fc20.src.rpm

I've fixed the issues as described.

Unfortunately still no response from upstream about the license file, hoping to hear something soon though.

Comment 7 Julien Enselme 2014-08-12 08:59:35 UTC
I still get the fellowing rpmlint error (view #c4 for solution):

python-texttable.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/texttable.py 0644L /usr/bin/env

Comment 8 Adam Miller 2014-08-12 14:44:49 UTC
Spec URL: http://maxamillion.fedorapeople.org/python-texttable.spec
SRPM URL: https://maxamillion.fedorapeople.org/python-texttable-0.8.1-4.fc20.src.rpm

I've patched the source to resolve the issue with "E: non-executable-script" ... turns out upstream put in a "__main__" section to output example text in the event the library itself was ran which Fedora guidelines frown upon.

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/python-texttable-0.8.1-4.fc22.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/python-texttable-0.8.1-4.fc22.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 9 Julien Enselme 2014-08-12 15:58:26 UTC
Approved!

Comment 10 Adam Miller 2014-08-12 16:32:42 UTC
New Package SCM Request
=======================
Package Name: python-texttable
Short Description: Python module to generate a formatted text table, using ASCII characters
Upstream URL: http://foutaise.org/code/
Owners: maxamillion
Branches: f20 f21

Comment 11 Gwyn Ciesla 2014-08-12 19:19:24 UTC
Git done (by process-git-requests).

Comment 12 Dridi Boukelmoune 2014-11-16 19:51:11 UTC
Hi,

This package has never been pushed to f20, and it's needed by "fig" (bug 1151072). Is there anything preventing python-texttable to be pushed to f20?

Dridi

Comment 13 Adam Miller 2014-11-17 14:25:57 UTC
For whatever reason bodhi keeps claiming that "python-texttable-0.8.1-4.fc20 not tagged as an update candidate" even though this koji build http://koji.fedoraproject.org/koji/buildinfo?buildID=552486 is tagged f20-candidate.

Comment 14 Fedora Update System 2014-11-17 15:04:11 UTC
python-texttable-0.8.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-texttable-0.8.1-4.fc20

Comment 15 Adam Miller 2014-11-17 15:05:02 UTC
Fixed :)

Comment 16 Dridi Boukelmoune 2014-11-18 08:40:10 UTC
Thanks!

Comment 17 Fedora Update System 2014-11-18 12:12:07 UTC
python-texttable-0.8.1-4.fc20 has been pushed to the Fedora 20 testing repository.

Comment 18 Julien Enselme 2014-11-26 14:07:07 UTC
Any plans on pushing it to the stable repository?

Comment 19 Fedora Update System 2014-11-27 08:38:17 UTC
python-texttable-0.8.1-4.fc20 has been pushed to the Fedora 20 stable repository.

Comment 20 Julien Enselme 2014-11-27 09:27:25 UTC
Thanks!

Comment 21 Dridi Boukelmoune 2014-11-27 13:44:41 UTC
It no longer blocks fig on f20, thanks again!


Note You need to log in before you can comment on or make changes to this bug.